# std::array::rbegin, std::array::crbegin

From cppreference.com
< cpp‎ | container‎ | array

reverse_iterator rbegin(); |  | (until C++17)
constexpr reverse_iterator rbegin(); |  | (since C++17)
const_reverse_iterator rbegin() const; |  | (until C++17)
constexpr const_reverse_iterator rbegin() const; |  | (since C++17)
const_reverse_iterator crbegin() const; |  | (until C++17)
constexpr const_reverse_iterator crbegin() const; |  | (since C++17)

Returns a reverse iterator to the first element of the reversed container. It corresponds to the last element of the non-reversed container.

### Parameters

(none)

### Return value

Reverse iterator to the first element.

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant.

### See also

rend crend | returns a reverse iterator to the end (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/array/rbegin&oldid=50443"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template